Bug 11315 - UUCP batch file never cleared
Summary: UUCP batch file never cleared
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: inn (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-08 23:42 UTC by Kenn Humborg
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-26 10:10:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kenn Humborg 2000-05-08 23:42:48 UTC
I'm running sendbatch as root from /etc/cron.d as

   10 * * * * root sendbatch -c otherhost | grep -v "No articles"

Normally, the sendbatch script flushes INN's out going stream
to otherhost and appends /var/spool/news/outgoing/otherhost
to /var/spool/news/outgoing/otherhost.uucp.  Then it runs
batcher to send the listed articles to otherhost.  When batcher
completes, it re-writes otherhost.uucp to only contain articles
which were not sent successfully, so they will be retried later.

This worked fine for my under RH5.2.  Now, however, batcher
always rewrites otherhost.uucp identically, thus causing
outgoing articles to be sent multiple times.  The articles are
going into the UUCP queue fine - uustat -a shows me that.

UUCP and INN packages are as shipped with RH6.2.

Comment 1 Florian La Roche 2000-05-19 16:29:59 UTC
can you please check if inn-2.2.2-5 from the next rawhide release has
this fixed?

Comment 2 Cristian Gafton 2000-05-22 15:48:59 UTC
assign to laroche

Comment 3 Kenn Humborg 2000-05-23 07:59:59 UTC
I will check the Rawhide release as soon as I get a chance (probably Wed/Thurs
evening).  Kenn

Comment 4 Kenn Humborg 2000-05-24 23:05:59 UTC
Downloaded inn-2.2.2-5 from Rawhide, but it requires an updated glibc.  So I
downloaded the rawhide glibc as well and that will require me to upgrade
a _lot_ of other stuff.  Not nice over a 28.8k modem :-(

I'll --rebuild the inn SRPM tomorrow night and see how that goes.

Comment 5 Kenn Humborg 2000-05-26 00:14:59 UTC
Rebuilding and installing inn-2.2.2-5 from Rawhide fixed the problem.

Kenn

Comment 6 Kenn Humborg 2000-05-26 10:10:59 UTC
A new problem... inn-cron-rnews now contains:

   #!/bin/sh

   /sbin/chkconfig innd && su - news -c /usr/bin/rnews -U

This should be

   /sbin/chkconfig innd && su - news -c '/usr/bin/rnews -U'

Kenn


Note You need to log in before you can comment on or make changes to this bug.